%Singular Value Decomposition
% Mining of Massive Datasets Jure Leskovec, Anand Rajaraman, Jeff Ullman

tested_system = model_II;

A = tested_system.A;
B = tested_system.B;
C = tested_system.C;
D = tested_system.D;

sistem = ss(A, B, C, D);

[U, S, V] = svd(A);

figure
b = bar3(abs(U));
zlim([0.01, 1])
xlabel('Concepts');
ylabel('States');
yticks([1:length(U)]);
yticklabels(tested_system.StateName);
colorbar
for k = 1:length(b)
    zdata = b(k).ZData;
    b(k).CData = zdata;
    b(k).FaceColor = 'interp';
end